#!/usr/bin/env python

import sys
import virtkey


def press_keycode(vkbd, keycode):
	real_keycode = keycode + 8

	vkbd.press_keycode(real_keycode)
	vkbd.release_keycode(real_keycode)

def press_keysym(vkbd, keysym):
	real_keysym = keysym
	if not 0x20 <= keysym < 0x7F:
		real_keysym = ord("?")

	vkbd.press_keysym(real_keysym)
	vkbd.release_keysym(real_keysym)


vkbd = virtkey.virtkey()

while 1:
	t = sys.stdin.read(1)
	if t == "":
		break

	if t == "\n":
		press_keycode(vkbd, 0x1C)
	elif t == "\t":
		press_keycode(vkbd, 0x0F)
	else:
		press_keysym(vkbd, ord(t))

